Skip to main content
GET
https://api.dintero.com/v1/
/
accounts
/
{aid}
/
products
/
catalogs
/
{catalog_id}
/
products
Products collection
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/products/catalogs/{catalog_id}/products \
  --header 'Authorization: Bearer <token>'
{
  "products": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "deleted_at": "2023-11-07T05:31:56Z",
      "product_name": "Stablestol",
      "description": "Stablestol for utendørsbruk",
      "is_virtual_product": false,
      "unit_gross_price": 10900,
      "unit": "stk",
      "currency": "NOK",
      "starting_at": "2023-11-07T05:31:56Z",
      "stopping_at": "2023-11-07T05:31:56Z",
      "dimension": {
        "color": "<string>",
        "size": "<string>",
        "style": "<string>",
        "config": "<string>",
        "variant": "<string>"
      },
      "images": [
        {
          "href": "https://example.dintero.com/c/photos/2018/6_20_thumbnail_image.png",
          "rel": "thumbnail_image",
          "caption": "Image of current discount"
        },
        {
          "href": "https://example.dintero.com/c/photos/2018/6_20_medium_image.png",
          "rel": "medium_image"
        }
      ],
      "locations": [
        {
          "location_id": "SC_Oslo",
          "location_name": "SuperChain Oslo",
          "is_available_for_shipping": false,
          "is_available_for_pickup": true,
          "number_of_items_in_storage": 15
        },
        {
          "location_id": "SC_web",
          "location_name": "SuperChain Webshop",
          "is_available_for_shipping": true,
          "is_available_for_pickup": false,
          "number_of_items_in_storage": 500
        }
      ],
      "product_id": "Stol22",
      "catalog_id": "S23",
      "catalog_name": "Sommer",
      "groups": [
        {
          "group_id": "B1",
          "group_name": "Møbel"
        }
      ]
    }
  ],
  "starting_after": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
catalog_id
string
required

An id that uniquely identifies the catalog. (must not have trailing or leading spaces)

Maximum string length: 255

Query Parameters

product_id
string

A string that uniquely identifies the product. (must not have trailing or leading spaces)

product_name
string

Lookup on product name

limit
integer
default:10

A limit on the number of objects to be returned. Limit can range between 1 and 100 items, and the default is 10 items.

Required range: 1 <= x <= 100
starting_after
string

cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, end the result contains paging_token=pt1, your subsequent call can include starting_after=pt1 in order to fetch the next page of the list.

Response

Product collection

products
object[]
starting_after
string